<?php
	// Defaults pertaining to the main feature
        $config["defaults"]["main"]["schedule"]         = 0;            // Disable the display of the schedule list in the main screen
        $config["defaults"]["main"]["recentmail"]       = 0;            // Disable the display of the recent mail list in the main screen

	// Defaults pertaining to the mail feature
        $config["defaults"]["mail"]["realname"]         = "";           // Default real name to use for the user (should usually be left blank)
        $config["defaults"]["mail"]["signature"]        = "";           // Default signauture line to use for the user
        $config["defaults"]["mail"]["linewrap"]         = 80;           // Where to wrap lines
        $config["defaults"]["mail"]["replyto"]          = "";           // Default Reply To setting
        $config["defaults"]["mail"]["pagesize"]         = 20;           // Default number of items to display in the mail list
        $config["defaults"]["mail"]["sortby"]           = "date";       // Default sort order (date|from|subject)
        $config["defaults"]["mail"]["sortorder"]        = 0;            // Default sort direction (0|1)
        $config["defaults"]["mail"]["dande"]            = 0;            // Delete and Expunge simulatiniously? (0|1)
        $config["defaults"]["mail"]["savesent"]         = 1;            // Save sent messages in the send folder? (0|1)
        $config["defaults"]["mail"]["sentfold"]         = "sent-mail";  // What folder to save sent messages to (can by anything, TWIG will create it if it does not exist)
        $config["defaults"]["mail"]["draftfold"]        = "Drafts";     // What folder to save draft messages to (can by anything, TWIG will create it if it does not exist)
        $config["defaults"]["mail"]["cmdline2"]         = 0;            // Display the second command line in mail (0|1)
        $config["defaults"]["mail"]["newwindow"]        = 0;            // Display messages in new windows (0|1)
        $config["defaults"]["mail"]["listcmds"]         = 0;            // Unused at the time
        $config["defaults"]["mail"]["newcontact"]       = 1;            // Show the contacts list when composing a new message
        $config["defaults"]["mail"]["fromaddress"]      = $login["username"] . '@' . $config["fromdomain"];
									// This will allow you to set the address that the user sends mail from, usually
                                                                        // this is set to the name the user logged in with and then the 'fromdomain' config
									// setting, however you may want to change this and strip out information from the
									// username or retreive the entire item from an external source like an LDAP server.


	// Defaults pertaining to the bookmarks feature
        $config["defaults"]["bookmarks"]["sortby"]      = "item";       // Default sort order (item|group|url)
        $config["defaults"]["bookmarks"]["sortorder"]   = 0;            // Default sort direction (0|1)
        $config["defaults"]["bookmarks"]["dgroup"]      = "";           // Default group to add new items to (the group must alreay exist)

	// Defaults pertaining to the contacts feature
        $config["defaults"]["contacts"]["sortby"]       = "nickname";   // Default sort order (item|name|company|group|email)
        $config["defaults"]["contacts"]["sortorder"]    = 0;            // Default sort direction (0|1)
        $config["defaults"]["contacts"]["dgroup"]       = "";           // Default group to add new items to (the group must alreay exist)
        $config["defaults"]["contacts"]["pagesize"]     = 20;           // Default number of items to display in the main list

	// Global defaults
        $config["defaults"]["global"]["mstyle1"]        = $config["MenuType"];          // Default menu style, this should be configured in config.inc.php3
        $config["defaults"]["global"]["mstyle2"]        = $config["SubMenuType"];       // Default sub menu style, this should be configured in config.inc.php3
        $config["defaults"]["global"]["language"]       = $config["language"];          // Default language, this should be configured in config.inc.php3
        $config["defaults"]["global"]["mailfoot"]       = 0;                            // Disabled the display of the new mail indicator in the footer (0|1)
        $config["defaults"]["global"]["prevnext"]       = $config["PrevNextType"];      // Default Prev/Next Style, this should be configured in config.inc.php3

	// Defaults pertaining to the news feature
        $config["defaults"]["news"]["replyto"]          = "";                           // Default Reply To setting
        $config["defaults"]["news"]["pagesize"]         = $config["news_articles"];     // Default number of items to display in the mail list
        $config["defaults"]["news"]["newwindow"]        = 0;                            // Display messages in new windows (0|1)
        $config["defaults"]["news"]["linewrap"]         = 80;                           // Where to wrap lines
        $config["defaults"]["news"]["realname"]         = "";                           // Default real name to use for the user (should usually be left blank)
        $config["defaults"]["news"]["signature"]        = "";                           // Default signauture line to use for the user

	// Defaults pertaining to the schedule feature
        $config["defaults"]["schedule"]["dgroup"]       = "";           // Default group to add new items to (the group must alreay exist)

	// Defaults pertaining to the todo feature
        $config["defaults"]["todo"]["sortby"]           = "priority";   // Default sort order (item|group|priority)
        $config["defaults"]["todo"]["sortorder"]        = 0;            // Default sort direction (0|1)
        $config["defaults"]["todo"]["dgroup"]           = "";           // Default group to add new items to (the group must alreay exist)
        $config["defaults"]["todo"]["priority"]         = 0;            // Default priorty to set new items to

?>
