CREATE SEQUENCE twaccid start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('twaccid');

CREATE TABLE twig_accounts (
   id 		int4 DEFAULT nextval ( 'twaccid'),
   username	varchar(20),
   password 	varchar(20),
   SID		int4,
   onnow	INT,
   expire	INT,
   laston	INT,
   PRIMARY KEY  (id)
);

CREATE INDEX twig_accounts_id_index ON twig_accounts (id, username);

CREATE SEQUENCE twasid start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('twasid');

CREATE TABLE twig_acls (
   SID 		int4 DEFAULT nextval ( 'twasid'),
   identity 	varchar(64) NOT NULL,
   alevel 	int4 DEFAULT 0
);

CREATE INDEX twig_acls_sid_index ON twig_acls (SID);
CREATE INDEX twig_acls_identity_index ON twig_acls (identity);

CREATE TABLE twig_acl_groups (
   SID 		int4 DEFAULT 0 NOT NULL,
   groupname 	varchar(64) NOT NULL,
   username 	varchar(20) NOT NULL,
   PRIMARY KEY	(groupname)
);

CREATE INDEX twig_acl_groups_username_index ON twig_acl_groups (username);

CREATE SEQUENCE twbmid start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('twbmid');

CREATE TABLE twig_bookmarks (
   id	   	int4 DEFAULT nextval ( 'twbmid'),
   username	VARCHAR(20),
   thedate	TIMESTAMP,
   groupid	INT,
   item		TEXT,
   description	TEXT,
   url		TEXT,
   PRIMARY KEY  (id)
);

CREATE INDEX twig_acl_bookmarks_username_index ON twig_bookmarks (username);
CREATE INDEX twig_acl_bookmarks_groupid_index ON twig_bookmarks (id);

CREATE SEQUENCE twbprf start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('twbprf');

CREATE TABLE twig_bookmarks_prefs (
   id 		int4 DEFAULT nextval ( 'twbprf' ),
   username 	varchar(20),
   sortby 	varchar(10) NOT NULL,
   sortorder 	int4 DEFAULT '0' NOT NULL,
   dgroup 	int4 DEFAULT '0' NOT NULL,
   PRIMARY KEY  (id)
);

CREATE INDEX twig_bookmarks_prefs_username_index ON twig_bookmarks_prefs (username);

CREATE SEQUENCE twconid start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('twconid');

CREATE TABLE twig_contacts (
 id		int4 DEFAULT nextval ( 'twconid') ,
 username	VARCHAR(20),
 thedate	TIMESTAMP,
 groupid	INT,
 item		TEXT,
 description	TEXT,
 url		TEXT,
 firstname	VARCHAR(100),
 lastname	VARCHAR(100),
 email		VARCHAR(100),
 company	VARCHAR(100),
 home_phone	VARCHAR(20),
 work_phone	VARCHAR(20),
 mobile		VARCHAR(30),
 fax		VARCHAR(20),
 address1	VARCHAR(200),
 address2	VARCHAR(200),
 city		VARCHAR(100),
 state		VARCHAR(10),
 zipcode	VARCHAR(10),
 country	VARCHAR(100),
 email2 	VARCHAR(100),
 email3 	VARCHAR(200),
 title 		VARCHAR(100),
 pager 		VARCHAR(30),
 ofax 		VARCHAR(30),
 department 	VARCHAR(100),
 office 	VARCHAR(100),
 spouse 	VARCHAR(100),
 bday 		VARCHAR(40),
 oaddress1 	VARCHAR(100),
 oaddress2 	VARCHAR(100),
 ocity 		VARCHAR(100),
 ozip 		VARCHAR(10),
 ostate 	VARCHAR(10),
 ocountry 	VARCHAR(100),
 PRIMARY KEY	(id)
);

CREATE INDEX twig_contacts_username_index ON twig_contacts (username);
CREATE INDEX twig_contacts_groupid_index ON twig_contacts (groupid);

CREATE SEQUENCE twcprf start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('twcprf');

CREATE TABLE twig_contacts_prefs (
   id 		int4 DEFAULT nextval ( 'twcprf' ),
   username 	varchar(20),
   sortby 	varchar(10) NOT NULL,
   sortorder 	int4 DEFAULT 0 NOT NULL,
   dgroup 	int4 DEFAULT 0 NOT NULL,
   pagesize	int4 DEFAULT 0 NOT NULL,
   PRIMARY KEY  (id)
);

CREATE INDEX twig_contacts_prefs_username_index ON twig_contacts_prefs (username);

CREATE TABLE twig_context (
   id 		varchar(40) NOT NULL,
   username 	varchar(20) NOT NULL,
   context 	text NOT NULL,
   sid 		int4 DEFAULT 0 NOT NULL
);

CREATE INDEX twig_context_id_index ON twig_context (id);
CREATE INDEX twig_context_username_index ON twig_context (id);
CREATE INDEX twig_context_sid_index ON twig_context (id);

CREATE SEQUENCE twfoldid start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('twfoldid');

CREATE TABLE twig_folders (
   id 		int4 DEFAULT nextval ( 'twfoldid'),
   owner 	VARCHAR(20),
   server 	VARCHAR(255),
   port 	int4,
   groupname 	VARCHAR(255),
   username 	VARCHAR(20),
   password 	VARCHAR(20),
   servertype 	VARCHAR(10),
   PRIMARY KEY  (id)
);

CREATE INDEX twig_folders_owner_index ON twig_folders (username);
CREATE INDEX twig_folders_groupname_index ON twig_folders (groupname);

CREATE SEQUENCE twgpid start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('twgpid');

CREATE TABLE twig_global_prefs (
   id 		int4 DEFAULT nextval ( 'twgpid'),
   username 	varchar(20),
   mstyle1 	int4 DEFAULT 0 NOT NULL,
   mstyle2 	int4 DEFAULT 3 NOT NULL,
   language 	varchar(20),
   mailfoot	int4,
   prevnext	varchar(20),
   PRIMARY KEY (id)
);

CREATE INDEX twig_global_prefs_username_index ON twig_global_prefs (username);

CREATE SEQUENCE groupid start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('groupid');

CREATE TABLE twig_groups (
   id		int4 DEFAULT nextval ( 'groupid' ),
   owner	varchar(20),
   groupname	varchar(100),
   type		varchar(20),
   PRIMARY KEY	(id)
);

CREATE INDEX twig_groups_owner_index ON twig_ggroups (owner);

CREATE TABLE twig_lhsqltable (
   	LID 		int DEFAULT 0,
   	username 	varchar(20) NOT NULL,
   	password 	varchar(20) NOT NULL,
   	expire 		int DEFAULT 0
);

CREATE SEQUENCE twprefsid start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('twprefsid');

CREATE TABLE twig_mail_prefs (
	id		int4 DEFAULT nextval ( 'twprefsid') ,
	username	varchar(20),
	realname	TEXT,
	signature	TEXT,
 	linewrap	TEXT,
	replyto		TEXT,
	pagesize	INT,
	sortby		varchar(10),
	sortorder	INT,
	dande		INT,
   	savesent 	INT,
   	sentfold 	TEXT,
   	draftfold 	TEXT,
	cmdline2	INT,
	newwindow	INT,
	newcontact	INT,
	PRIMARY KEY	(id)
);

CREATE INDEX twig_mail_prefs_username_index ON twig_mail_prefs (username);

CREATE SEQUENCE twmpid start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('twmpid');

CREATE TABLE twig_main_prefs (
   id 		int4 DEFAULT nextval ( 'twaccid'),
   username 	varchar(20),
   schedule 	int4 DEFAULT 1 NOT NULL,
   recentmail 	int4 DEFAULT 1 NOT NULL,
   PRIMARY KEY	(id)
);

CREATE INDEX twig_main_prefs_username_index ON twig_main_prefs (username);

CREATE SEQUENCE memberid start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('memberid');

CREATE TABLE twig_members (
	id		int4 DEFAULT nextval ( 'memberid' ),
	groupid		INT,
	username	varchar(20),
	writeperms	INT,
	PRIMARY KEY	(id)
);

CREATE SEQUENCE twnpid start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('twnpid');

CREATE TABLE twig_news_prefs (
   id 		int4 DEFAULT nextval ( 'twnpid'),
   username	varchar(20),
   replyto 	text,
   pagesize 	int4,
   newwindow 	int4,
   linewrap 	text,
   realname 	text,
   signature 	text,
   PRIMARY KEY  (id)
);

CREATE INDEX twig_news_prefs_username_index ON twig_news_prefs (username);

CREATE SEQUENCE twschedid start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('twschedid');

CREATE TABLE twig_schedule (
   id	        int4 DEFAULT nextval ( 'twschedid') ,
   username	VARCHAR(20),
   thedate	TIMESTAMP,
   groupid	INT NOT NULL,
   itemstart	TIMESTAMP,
   itemstop	TIMESTAMP,
   item		TEXT,
   description	TEXT,
   PRIMARY KEY	(id)
);

CREATE INDEX twig_schedule_username_index ON twig_schedule (username);
CREATE INDEX twig_schedule_thedate_index ON twig_schedule (thedate);
CREATE INDEX twig_schedule_groupid_index ON twig_schedule (groupid);
CREATE INDEX twig_schedule_start_index ON twig_schedule (itemstart);
CREATE INDEX twig_schedule_finish_index ON twig_schedule (itemstop);

CREATE SEQUENCE twsprf start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('twsprf');

CREATE TABLE twig_schedule_prefs (
   id 		int4 DEFAULT nextval ( 'twsprf' ),
   username 	varchar(20),
   dgroup 	int4 DEFAULT 0 NOT NULL,
   PRIMARY KEY	(id)
);

CREATE INDEX twig_schedule_prefs_username_index ON twig_schedule_prefs (username);

CREATE TABLE twig_session (
   id 		varchar(40) NOT NULL,
   username 	varchar(20) NOT NULL,
   sdata	text NOT NULL,
   sid 		int4 DEFAULT 0 NOT NULL
);

CREATE INDEX twig_session_id_index ON twig_session (id);
CREATE INDEX twig_session_username_index ON twig_session (username);
CREATE INDEX twig_session_sid_index ON twig_session (sid);

CREATE SEQUENCE twtdid start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ( 'twtdid');

CREATE TABLE twig_todo (
   id	        int4 DEFAULT nextval ( 'twtdid') ,	
   username	VARCHAR(20),
   thedate	TIMESTAMP,
   groupid	INT,
   item		TEXT,
   description	TEXT,
   priority	INT,
   completed	INT,
   PRIMARY KEY	(id)
);

CREATE INDEX twig_todo_username_index ON twig_todo (username);

CREATE SEQUENCE twtprf start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 ;
SELECT nextval ('twtprf');

CREATE TABLE twig_todo_prefs (
   id 		int4 DEFAULT nextval ( 'twtprf' ),
   username 	varchar(20),
   sortby 	varchar(10) NOT NULL,
   sortorder 	int4 DEFAULT '0' NOT NULL,
   dgroup 	int4 DEFAULT '0' NOT NULL,
   priority	int4 DEFAULT '0' NOT NULL,
   PRIMARY KEY  (id)
);

CREATE INDEX twig_todo_prefs_username_index ON twig_todo_prefs (username);

GRANT ALL ON twig_groups TO nobody;
GRANT ALL ON twig_members TO nobody;
GRANT ALL ON twig_mail_prefs TO nobody;
GRANT ALL ON twig_schedule TO nobody;
GRANT ALL ON twig_todo TO nobody;
GRANT ALL ON twig_bookmarks TO nobody;
GRANT ALL ON twig_contacts TO nobody;
GRANT ALL ON twig_folders TO nobody;
GRANT ALL ON twig_news_prefs TO nobody;
GRANT ALL ON twig_accounts TO nobody;
GRANT ALL ON twig_main_prefs TO nobody;
GRANT ALL ON twig_global_prefs TO nobody;
GRANT ALL ON twig_contacts_prefs TO nobody;
GRANT ALL ON twig_bookmarks_prefs TO nobody;
GRANT ALL ON twig_todo_prefs TO nobody;
GRANT ALL ON twig_schedule_prefs TO nobody;
GRANT ALL ON twig_session TO nobody;
GRANT ALL ON twig_context TO nobody;
GRANT ALL ON twig_acls TO nobody;
GRANT ALL ON twig_acl_groups TO nobody;

